Loading...
Searching...
No Matches
Halide::Internal::JITFuncCallContext Struct Reference

`#include <JITModule.h>`

## Public Member Functions

| JITFuncCallContext (JITUserContext *context, const JITHandlers &pipeline_handlers)
void | finalize (int exit_status)

## Public Attributes

JITErrorBuffer | error_buffer
JITUserContext * | context
bool | custom_error_handler

## Detailed Description

Definition at line 338 of file JITModule.h.

## Constructor & Destructor Documentation

## JITFuncCallContext()

Halide::Internal::JITFuncCallContext::JITFuncCallContext | ( | JITUserContext * | context,
|  | const JITHandlers & | pipeline_handlers )

References context.

## Member Function Documentation

## finalize()

void Halide::Internal::JITFuncCallContext::finalize | ( | int | exit_status | ) |

## Member Data Documentation

## error_buffer

JITErrorBuffer Halide::Internal::JITFuncCallContext::error_buffer

Definition at line 339 of file JITModule.h.

## context

JITUserContext* Halide::Internal::JITFuncCallContext::context

Definition at line 340 of file JITModule.h.

Referenced by JITFuncCallContext().

## custom_error_handler

bool Halide::Internal::JITFuncCallContext::custom_error_handler

Definition at line 341 of file JITModule.h.

The documentation for this struct was generated from the following file:

- src/JITModule.h